image_geometry
==============

image_geometry simplifies interpreting images geometrically using the
parameters from sensor_msgs/CameraInfo.

.. module:: image_geometry

.. autoclass:: image_geometry.PinholeCameraModel
      :members: fromCameraInfo, rectifyImage, rectifyPoint, tfFrame, project3dToPixel, projectPixelTo3dRay, distortionCoeffs, intrinsicMatrix, projectionMatrix, rotationMatrix, cx, cy, fx, fy

.. autoclass:: image_geometry.StereoCameraModel
      :members:


Indices and tables
==================

* :ref:`genindex`
* :ref:`search`

